import { jsx as _jsx } from "react/jsx-runtime";
import { useContext } from 'react';
import { DashboardSidebarContext } from '../DashboardSidebarProvider';
import { Badge } from './Badge';
import { StyledCounter } from './styles';
/**
 * Компонент для отображения счетчика в элементах меню Sidebar
 */
export const DashboardSidebarCounter = ({ count, max, }) => {
    const { collapsedIn } = useContext(DashboardSidebarContext);
    if (!count) {
        return null;
    }
    return (_jsx(StyledCounter, { color: "error", content: count, max: max, "$collapsedIn": collapsedIn }));
};
// Реализовано для того, что бы не грузить код Badge, если SidebarCounter не используется.
// SidebarCounter.Badge достается внутри Sidebar компонента
DashboardSidebarCounter.Badge = Badge;
